Bug 4788 - USB Format incorrect localized
: USB Format incorrect localized
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-12 19:04 MSK by Vladimir Potapov
Modified: 2015-04-13 13:57 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (18.27 KB, image/png)
2014-12-12 19:04 MSK, Vladimir Potapov
Details
поправленная пошка (6.27 KB, text/x-gettext-translation)
2015-04-08 21:47 MSD, JDronova
Details
sss (30.13 KB, image/png)
2015-04-09 16:59 MSD, Vladimir Potapov
Details
новый вариант пошки (6.34 KB, text/x-gettext-translation)
2015-04-09 18:39 MSD, JDronova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-12-12 19:04:23 MSK
Created attachment 3571 [details]
ss

see screenshot
Comment 1 FirstLevel 2014-12-23 16:24:20 MSK
Actual for 8280
Comment 2 JDronova 2014-12-23 17:04:49 MSK
Это входит в состав current?
Comment 3 FirstLevel 2014-12-23 17:22:59 MSK
Что такое current?
Comment 4 JDronova 2014-12-23 17:24:17 MSK
(In reply to comment #3)
> Что такое current?

Отлично у нас внутренняя коммуникация, конечно, в команде налажена. Сама разберусь, ок :)
Comment 5 FirstLevel 2014-12-23 18:53:51 MSK
(In reply to comment #4)
> (In reply to comment #3)
> > Что такое current?
> 
> Отлично у нас внутренняя коммуникация, конечно, в команде налажена. Сама
> разберусь, ок :)

Хоть просветила бы... Э-э-эх
Comment 6 JDronova 2014-12-23 18:56:14 MSK
Ну как узнаю, напишу.  :-P В общих чертах — current это основа на базе свежих пакетов для будущих сертиф. релизов.
Comment 7 Denis Silakov 2014-12-23 19:33:30 MSK
current- эта платформа, в которой мы сейчас сливаем фреш и наработки серт. дистрибутивов. Чтобы в дальнейшем использовать ее как базу и для всех дистрибутивов, без необходимости форкать и плодить платформы а потом заниматься их синхронизацией.
Comment 8 FirstLevel 2014-12-23 21:00:02 MSK
(In reply to comment #7)
> current- эта платформа, в которой мы сейчас сливаем фреш и наработки серт.
> дистрибутивов. Чтобы в дальнейшем использовать ее как базу и для всех
> дистрибутивов, без необходимости форкать и плодить платформы а потом
> заниматься их синхронизацией.

Спасибо
Comment 9 JDronova 2015-04-08 19:49:22 MSD
Укажите, пожалуйста, название пакета. Не могу найти ничего похожего что-то. Или алгоритм открытия этого окна (алгоритм — это какую прогу открывать).
Comment 10 Denis Silakov 2015-04-08 21:21:05 MSD
quick-usb-formatter
Comment 11 JDronova 2015-04-08 21:47:53 MSD
Created attachment 3881 [details]
поправленная пошка

В общем в пошке там всё есть и всё переведено. Значит, не подхватывается почему-то. Поправила пару кривостей просто, прилагаю пошку, но дело, видимо, опять в коде.
Comment 12 Denis Silakov 2015-04-09 12:01:15 MSD
А, я понял. Там pot файл был неперегенерен нормально и лишние двоеточия имелись у "Product" и "Capacity". Теперь должно стать нормально.

Advisory:
Fix Russian localization.

Build lists:
https://abf.io/build_lists/2488937
https://abf.io/build_lists/2488938
Comment 13 JDronova 2015-04-09 15:43:51 MSD
Лол, я перегенерила же .pot, но посмотрела, что количество мессаджей не изменилось, и больше ничего и не стала с ним делать, даже синькать с пошкой. Лохушка :/
Comment 14 Vladimir Potapov 2015-04-09 16:59:14 MSD
Created attachment 3883 [details]
sss

"wait a moment..." and "success" messages don't localized
Comment 15 JDronova 2015-04-09 17:22:09 MSD
так, не трогайте, я сама хочу разобраться.
Comment 16 JDronova 2015-04-09 18:17:55 MSD
Там карочи в rpmbuild/BUILD/chakra-quick-usb-formatter/src/window.cpp  эти два мессаджа не помечены как i18n: 

   }
    else {
        this->statusBar()->showMessage("Success");
    }
  

и
     
     this->statusBar()->showMessage("Wait a moment ...");
     

Щас попробую прописать и перегенерить.
Comment 17 JDronova 2015-04-09 18:39:23 MSD
Created attachment 3884 [details]
новый вариант пошки

Добавилось ещё 8 мессаджей, включая те, которые не были помечены i18n. По хорошему надо бы патч накатить с этими i18n, ну или при следующем апдейте пакета подключите меня сразу к багу.
Comment 18 Denis Silakov 2015-04-10 00:24:21 MSD
Advisory:
Fix Russian localization.

Build lists:
https://abf.rosalinux.ru/build_lists/2489184
https://abf.rosalinux.ru/build_lists/2489185

PS.
Не похоже, чтобы кто-то сильно заботился новыми релизами. http://kde-apps.org/content/show.php?content=137493 - "Updated:  Oct 21 2011".
Comment 19 Vladimir Potapov 2015-04-10 03:52:14 MSD
The update is sent to expanded testing
**************************************
Comment 20 Vladimir Potapov 2015-04-13 13:32:09 MSD
quick-usb-formatter-0.5-0.preview.2
https://abf.rosalinux.ru/build_lists/2489184
https://abf.rosalinux.ru/build_lists/2489185
***************************** Advisory ****************************
Fix Russian localization
*******************************************************************
QA Verified